Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0011706 [DCSS] Bug Report minor always 2018-10-11 11:32 2019-01-27 08:25
Reporter kitchen_ace View Status public  
Assigned To ebering
Priority normal Resolution done  
Status closed   Product Branch 0.22 old branch
Summary 0011706: Little-known and misleading behaviour with polymorph on ugly things, shapeshifters, undead
Description Using a wand of polymorph on a (very) ugly thing will force it to change colour, without an MR check. However the game still displays a chance of success message before firing the wand.

Similarly using polymorph on a shapeshifter will always force it to shapeshift, but again the MR check is listed, even if the monster is known to be a shapeshifter.

Both of these interactions are cool and flavourful, but it appears not many people know about them, possibly because this information is not written anywhere in the game itself. I suggest adding at least some info both on the description of the wand, and of the monsters.

Polymorph also fails on most (or all?) undead, but again a chance of success is listed. Related to 0010659.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0010659resolvedebering Petrify lists success chance vs player ghosts, which can't be affected 

-  Notes
(0032683)
kitchen_ace (reporter)
2018-10-11 11:34

That would be https://crawl.develz.org/mantis/view.php?id=10659 [^] for the related issue.
(0033005)
ebering (developer)
2019-01-26 18:29

Done in 0.23-a0-847-g3ad9d5ab6f

- Issue History
Date Modified Username Field Change
2018-10-11 11:32 kitchen_ace New Issue
2018-10-11 11:34 kitchen_ace Note Added: 0032683
2019-01-24 01:59 ebering Relationship added related to 0010659
2019-01-26 18:29 ebering Note Added: 0033005
2019-01-26 18:29 ebering Status new => resolved
2019-01-26 18:29 ebering Resolution open => done
2019-01-26 18:29 ebering Assigned To => ebering
2019-01-27 08:25 kitchen_ace Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker